REM
REM
REM
REM Programming [adam_raccoon@yahoo.com]
REM
REM this is the source code to a
REM Binary analog Ocilloscope
REM
REM #######################
REM #       #       #----- +5
REM  \     / \     /
REM --\---/---\---/-------  0
REM    \ /     \ /
REM     #       #--------- -5
REM #######################
REM
REM
REM

  x = 0'used for h axis
  y = 200' used for v axis

  speed = .012' speed or pixel movement to the right

  th = .5' revolution speed
 
  SCREEN 12


  DO
  ke$ = INKEY$

  th = th + speed: IF th > 360 THEN th = 1

  h = tx + x + SIN(th)
  v = y + COS(th) * 110


  PSET (h, v), 7
  PSET (h, v - 1), 2
  PSET (h, v + 2), 2
  PSET (h - 1, v), 3
  PSET (h + 1, v), 3








        tx = tx + (th / 220)
         IF tx > 600 THEN tx = 1: CLS
  LOOP UNTIL ke$ = CHR$(27)

  END
  SCREEN 0, 0, 0
  PRINT " Ending Program"
  PRINT TIMER
  PRINT TIME$
  PRINT

